API

X (Twitter) API

The AI-powered X provides 360° Global Media Data & Intelligence on X (Twitter) users, community managers, journalists, brands, and real-time communication teams.

API 참조 버전: 1.0.0 7 엔드포인트 인증
X Monitor

기본 URL

https://pressmonitor.com/api

인증

모든 요청에는 x-api-key 및 x-subscription-id 헤더가 필요합니다. x-api-key는 계정을 인증하고 x-subscription-id는 구독한 서비스를 선택합니다.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /twitter_user

X (Twitter) Twitter Utilisateur

매개변수

이름 유형 위치 필수 설명
username string query 예 Username

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/twitter_user?username=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /twitter_tweets

X (Twitter) Twitter Tweets

매개변수

이름 유형 위치 필수 설명
username string query 예 Username
count integer query 아니요 Number of results

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/twitter_tweets?username=VALUE&count=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /twitter_tweet

X (Twitter) Twitter Tweet

매개변수

이름 유형 위치 필수 설명
pid string query 예 Tweet ID

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/twitter_tweet?pid=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /twitter_followers

X (Twitter) Twitter Abonnés

매개변수

이름 유형 위치 필수 설명
user string query 예 Numeric user ID
count integer query 아니요 Number of results

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/twitter_followers?user=VALUE&count=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /twitter_followers_page

X (Twitter) Twitter Abonnés Page

매개변수

이름 유형 위치 필수 설명
user string query 예 Numeric user ID
count integer query 아니요 Number of results
cursor string query 아니요 Pagination cursor

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/twitter_followers_page?user=VALUE&count=VALUE&cursor=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /twitter_followings_page

X (Twitter) Twitter Abonnements Page

매개변수

이름 유형 위치 필수 설명
user string query 예 Numeric user ID
count integer query 아니요 Number of results
cursor string query 아니요 Pagination cursor

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/twitter_followings_page?user=VALUE&count=VALUE&cursor=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success